# 64bit


Name:         	partclone
Version:      	0.3.23
Release:      	%mkrel 1
Group:        	Archiving/Backup
URL:          	http://partclone.org
License:      	GPLv2
Summary:      	File System Clone Utilities
Source0:      	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  lib64blkid-devel
BuildRequires:  lib64bsd-devel
BuildRequires:  lib64btrfs-devel
BuildRequires:  lib64ext2fs-devel
BuildRequires:  lib64ncurses-devel
BuildRequires:  lib64ncursesw-devel
BuildRequires:  lib64uuid-devel
BuildRequires:  ntfs-3g-devel

%description
Partclone is a program similar to the well-known backup utility "Partition
Image" a.k.a partimage. Partclone provides utilities to save and restore
used blocks on a partition and is designed for higher compatibility of the
file system by using existing libraries, e.g. e2fslibs is used to read and
write the ext2 partition.

Partclone now supports ext2, ext3, ext4, hfs+, btrfs, xfs, ntfs,
fat(12/16/32), exfat, f2fs, nilfs2.

%prep
%setup -q
%apply_patches
sed -i -e 's/exit 1/exit 0/g' fail-mbr/compile-mbr.sh

%build
autoreconf -fiv
%configure2_5x \
    --disable-rpath \
    --enable-apfs \
    --enable-ncursesw \
    --enable-fs-test \
    --enable-fuse \
    --enable-xfs \
    --enable-hfsp \
    --enable-fat \
    --enable-exfat \
    --enable-ntfs \
    --enable-btrfs \
    --enable-extfs \
    --enable-f2fs \
    --enable-minix \
    --enable-exfat

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_mandir}/man8/partclone.*
%{_sbindir}/partclone.*
%{_datadir}/partclone/fail-mbr.bin

%changelog
* Tue Feb 07 2023 tex - 0.3.23-1pclos2023
- new version

* Sun Jan 22 2023 tex - 0.3.22-1pclos2023
- new version

* Sat Jun 18 2022 tex - 0.3.20-1pclos2022
- new version

* Mon Jun 17 2019 tex - 0.3.12-1pclos2019
- new version

* Thu Apr 19 2018 bb2 <bb2> - 0.3.11-1pclos2018
- new version

* Tue Jul 18 2017 bb2 <bb2> - 0.2.88-3pclos2017
- rebuild against updates

* Mon Mar 20 2017 bb2 <bb2> - 0.2.88-2pclos2017
- rebuild against updates

